Subject: Re: byacc and bison ???
From: [email-masked] (David Essex)

28 Apr 1997 19:24:20 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Light Version 3.0.1 (32)
Original-To: gnu-win32 <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

Xuemei Bao wrote:

>I have some problems using byacc. It just doesn't work!!
I have been using flex and byacc on windows95. I even got byacc and flex
source(s) to compile, using gnu-win32 with no problems. 

>Can anyone gives me some helps? or where can I get bison?
The only problem I have run into is trying to compile some projects which
use flex and byacc. In one case make complained about something in
malloc.h, then went into a infinite loop. I suspect this has something to
do with the case sensitivity (i.e.: string.h vs String.h) problem in win95. 
Besides this, it does work, both on the gnu-win32 and Linux 2.0.18
platforms with consistent results.
In your flex script, are you compensating for the extra <CR> at the end of
the line ? 

Hope this helps.

David

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".